# Invoke-RASClientPolicy.md

## NAME

Invoke-RASClientPolicy

## SYNOPSIS

Invokes an action on a client policy.

## SYNTAX

**Invoke-RASClientPolicy** \[[Id](#id-string)] *(uint)* -[Duplicate](#duplicate-string) *(SwitchParameter)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASClientPolicy \[-[InputObject](#inputobject)] *(*[*ClientRules*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/clientrules.md)*)* -[Duplicate](#duplicate-string) *(SwitchParameter)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASClientPolicy \[[Export](#export-string)] *(SwitchParameter)* \[[Id](#id-string)] *(uint)* \[\[-[FilePath](#filepath-string)] *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASClientPolicy \[[Export](#export-string)] *(SwitchParameter)* \[[Name](#name-string)] *(string)* \[\[-[FilePath](#filepath-string)] *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASClientPolicy \[[Import](#import-string)] *(SwitchParameter)* \[\[-[InputMethod](#InputMethod)] {AddNew | Overwrite | AddWithNewName}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASClientPolicy \[[Import](#import-string)] *(SwitchParameter)* \[[FilePath](#filepath-string)] *(string)* \[\[-[InputMethod](#InputMethod)] {AddNew | Overwrite | AddWithNewName}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Invokes an action on a client policy.

## PARAMETERS

## Id (uint)

The ID of the client policy to invoke the action on. To obtain the ID, use the Get-RASClientPolicy cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## FilePath (string)

File name and path.

Use the '.xml' filename extension to be consistent with the Parallels RAS console.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Duplicate (SwitchParameter)

Specifies the action to duplicate the Client Policy.

```
        Required?                    true

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([ClientRules](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/clientrules.md))

The client policy object to invoke the action on.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Import (SwitchParameter)

Specifies the action to import the Client Policy(ies).

```
        Required?                    true

        Position?                    0

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputMethod

([ClientPolicyInputMethod](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/clientpolicyinputmethod.md)) Overwrite the client policy if there is already another client policy with the same name.

Possible values: AddNew, Overwrite, AddWithNewName

```
        Required?                    false

        Position?                    0

        Default value                AddNew

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Export (SwitchParameter)

Specifies the action to import the Client Policy(ies).

```
        Required?                    true

        Position?                    0

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

Name of the client policy to be exported.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[ClientRules](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/clientrules.md)

## OUTPUTS

[ClientRules](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/clientrules.md)

[RASFiles](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasfiles.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASClientPolicy -Id 1 -Duplicate

Adds a new client policy by duplicating the client policy with ID 1.\
\*\*---------- EXAMPLE 2 ----------

Invoke-RASClientPolicy -Import "C:\Backup\PDF-clientpolicy.xml"

Imports a client policy from the specified file.\
\*\*---------- EXAMPLE 3 ----------

Invoke-RASClientPolicy -Export -Name PDFPolicy -FilePath "C:\Backup\PDF-clientpolicy.xml"

Exports the client policy named PDFPolicy to the specified file.

## RELATED LINKS

* [Get-RASClientPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasclientpolicy.md)
* [New-RASClientPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasclientpolicy.md)
* [Set-RASClientPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasclientpolicy.md)
* [Remove-RASClientPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasclientpolicy.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasclientpolicy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
